import os
from nextzencore.ui.hooks.data_helper import DataHelper


class EnvironmentConfiguration:
    BASE_URL = os.getenv('BASE_URL', 'http://example.com')

    # Browser configuration
    HEADLESS = DataHelper.str_to_bool(os.getenv('HEADLESS', 'True'))
    NO_SANDBOX = DataHelper.str_to_bool(os.getenv('NO_SANDBOX', 'True'))
    BROWSER_NAME = os.getenv('BROWSER', 'Chrome')
    PLATFORM = os.getenv('PLATFORM', 'WINDOWS')
    GRID = DataHelper.str_to_bool(os.getenv('GRID', 'False'))
    GRID_HOST = os.getenv('GRID_HOST', 'localhost')
    GRID_PORT = os.getenv('GRID_PORT', '4444')

    # Timeout for Selenium waits
    PAGE_LOAD_TIMEOUT_SECONDS = float(os.getenv('PAGE_LOAD_TIMEOUT_SECONDS', 90))
    SELENIUM_TIMEOUT_SECONDS = float(os.getenv('SELENIUM_TIMEOUT_SECONDS', 30))
    WAIT_TIMEOUT_SECONDS = float(os.getenv('SELENIUM_TIMEOUT_SECONDS', 30))
